Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class LCGPointSet

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.CycleBasedPointSet
              umontreal.iro.lecuyer.hups.LCGPointSet

    public class LCGPointSet

extends CycleBasedPointSet

Implements a recurrence-based point set defined via a linear congruential recurrence of the form xi = axi-1mod n and ui = xi/n. The implementation is done by storing the values of ui over the set of all cycles of the recurrence.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSet
`CycleBasedPointSet.CycleBasedPointSetIterator`

Constructor Summary
`LCGPointSet(int n, int a)` Constructs and stores the set of cycles for an LCG with modulus n and multiplier a.
`LCGPointSet(int b, int e, int c, int a)` Constructs and stores the set of cycles for an LCG with modulus n = be + c and multiplier a.

Method Summary
`int` | `geta()` Returns the value of the multiplier a.
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSet
`addRandomShift, clearRandomShift, formatPoints, getCoordinate, getDimension, iterator`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, addRandomShift, formatPoints, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream, unrandomize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LCGPointSet

    public LCGPointSet(int n,
                       int a)

  Constructs and stores the set of cycles for an LCG with modulus n and multiplier a. If the LCG has full period length n - 1, there are two cycles, the first one containing only 0 and the second one of period length n - 1.

  Parameters:
    `n` - required number of points and modulus of the LCG
    `a` - generator a of the LCG

### LCGPointSet

    public LCGPointSet(int b,
                       int e,
                       int c,
                       int a)

  Constructs and stores the set of cycles for an LCG with modulus n = be + c and multiplier a.

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `CycleBasedPointSet`
  Returns:
    string representation of the point set information

### geta

    public int geta()

  Returns the value of the multiplier a.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.